Subject: [bug#50201] [PATCH core-updates-frozen 0/52] Support cross-compilation in glib-or-gtk-build-system and fix cross-compilation errors

From: Maxime Devos <[email-masked]>
Date: Mon, 30 Aug 2021 14:19:05 +0200

Maxime Devos schreef op wo 25-08-2021 om 19:55 [+0200]:
> Hi guix,
> 
> This patch series does two things:
> 
>   * let 'glib-or-gtk-build-system' support cross-compilation
> 
>   * fix many (but not all) cross-compilation errors that prevent
>     "guix build gtk+ --target=aarch64-linux-gnu" from succeeding.
> 
> It should not cause any rebuilds.  You can test with
> ./pre-inst-env guix build gtk+ --target=aarch64-linux-gnu.

Be aware that I don't have an aarch64-linux-gnu machine to test this on.
Some binaries of some packages I've run through qemu-aarch64 and I've
run "guix gc --references [...]" on a few store items to check if it
looks reaonable, but that's it.

Greetings,
Maxime.